## xapp 2.8.13

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)
option('py-overrides-dir',
    type : 'array',
    value : [],
    description: 'Path to pygobject overrides directory'
)
option('python_target',
    type: 'array',
    value: ['python3'],
    description: 'Python installation to target to lookup if py-overrides-dir not supplied'
)
option('status-notifier',
    type: 'boolean',
    value: true,
    description: 'Build the XApp StatusNotifier service.'
)
option('app-lib-only',
    type: 'boolean',
    value: false,
    description: 'Limit build to core library only and without the keyboard layout controller. This is to allow flatpak bundlings.'
)
option('debian_derivative',
    type: 'boolean',
    value: false,
    description: 'Use paths specific to Debian and derivatives.'
)
option('mate',
    type: 'boolean',
    value: true,
    description: 'Install mate specific items.'
)
option('xfce',
    type: 'boolean',
    value: true,
    description: 'Install xfce specific items.'
)
option('introspection',
    type: 'boolean',
    value: true,
    description: 'Enable GObject Introspection.'
)
option('vapi',
    type: 'boolean',
    value: true,
    description: 'Enable Vala bindings.'
)

=== debian/changelog ===
xapp (2.8.13-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove xapps-doc Depends: devhelp

  [ Fabio Fantoni ]
  * New upstream version 2.8.13
  * Update standards version to 4.7.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 21 Sep 2025 14:42:24 +0200

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 libcairo2-dev,
 libdbus-1-dev,
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libx11-dev,
 libxkbfile-dev,
 meson,
 python-gi-dev,
 python3:any,
 valac,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/linuxmint/xapp
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 5.2), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libcairo2-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp-gtk3-module
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
Replaces:
 libxapp1 (<< 2.2.6-1~),
 xapp (<< 2.4.2-1~),
 xapps-common (<< 2.4.2-1~),
Description: GTK 3.0 module for the XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains a GTK 3.0 module to make features of the XApp library
 available to GTK 3.0 applications.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libxapp-gtk3-module (= ${binary:Version}),
 xapp-sn-watcher (= ${binary:Version}),
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Replaces: xapps-common (<< 2.0.6-2~)
Breaks: nemo (<< 5.2), xapps-common (<< 2.0.6-2~)

Package: mate-xapp-status-applet
Architecture: all
Multi-Arch: foreign
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0,
 gir1.2-matepanelapplet-4.0,
 gir1.2-xapp-1.0 (>= ${source:Version}),
 mate-panel,
 python3,
 python3-gi,
 python3-setproctitle,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks: xapps-common (<< 2.4.2-1~)
Replaces: xapps-common (<< 2.4.2-1~)
Description: XApp status icon applet for the MATE panel
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the MATE panel applet to display XAppStatusIcon
 indicators of several XApp apps.

Package: xapp-sn-watcher
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: mate-xapp-status-applet
Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
Replaces:
 libxapp1 (<< 2.2.6-1~),
 xapp (<< 2.4.2-1~),
 xapps-common (<< 2.4.2-1~),
Description: D-Bus session bus service to support the XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains xapp-sn-watcher.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 python3-gi,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends: inxi, netcat
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D docs=true \
	    -D deprecated_warnings=false \
	    -D debian_derivative=true

=== debian/watch ===
version=4
https://github.com/linuxmint/xapp/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## xapp 2.8.13+gigi

=== debian/changelog ===
xapp (2.8.13+gigi) zara; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet.py: Don't use theme.has_icon() - not all usable icons are in themes.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Sep 2025 11:13:05 +0100

xapp (2.8.12) zara; urgency=medium

  [ Michael Webster ]
  * xapp-gpu-offload-helper.h: Move new GpuInfo member to the end.
  * xapp-gpu-offload-helper: Remove XAppGpuInfo.is_discrete member.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Aug 2025 16:21:49 +0200

## xapp 2.8.13+zara

=== debian/changelog ===
xapp (2.8.13+zara) zara; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet.py: Don't use theme.has_icon() - not all usable icons are in themes.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Sep 2025 11:13:05 +0100

## xapp 3.2.0%2Bzena

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-gir,
 dh-sequence-python3,
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libcairo2-dev,
 libdbus-1-dev,
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.44),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.16),
 libx11-dev,
 libxkbfile-dev,
 meson,
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.linuxmint.com/xapp/reference/
Vcs-Browser: https://github.com/linuxmint/xapp
Vcs-Git: https://github.com/linuxmint/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libcairo2-dev,
 libglib2.0-dev (>= 2.44),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several XApp apps.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 inxi,
 netcat,
 xapp-symbolic-icons,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: xapps-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains the documentation for the XApp library.

## xapp 3.2.0+zena

=== debian/changelog ===
xapp (3.2.0+zena) zena; urgency=medium

  * test-scripts: Switch to XApp symbolic icons
  * Add some of the generic icons used in nemo
  * Add some of the generic icons used in cinnamon
  * icons: Add common device icons
  * icons: Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2025 14:46:52 +0000

xapp (3.0.1) zara; urgency=medium

  * icons: Prefix non-prefixed icons

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Oct 2025 18:24:59 +0100

xapp (3.0.0) zara; urgency=medium

  [ Clement Lefebvre ]
  * Provide an alternative to Adwaita symbolic icons (#192)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Oct 2025 17:27:51 +0100

xapp (2.8.13) zara; urgency=medium

  [ Michael Webster ]
  * mate-xapp-status-applet.py: Don't use theme.has_icon() - not all usable icons are in themes.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Sep 2025 11:13:05 +0100

## xapp 3.2.1+zena

=== debian/changelog ===
xapp (3.2.1+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:05:57 +0000

xapp (3.2.0) zena; urgency=medium

  * test-scripts: Switch to XApp symbolic icons
  * Add some of the generic icons used in nemo
  * Add some of the generic icons used in cinnamon
  * icons: Add common device icons
  * icons: Switch to xapp-symbolic-icons (XSI)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2025 14:46:52 +0000

## xapp 3.2.2

=== debian/changelog ===
xapp (3.2.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 3.2.2
  * Remove obsolete Lintian override
  * Update standards version to 4.7.3, no changes needed
  * d/control:
    - Remove Rules-Requires-Root, no longer necessary since trixie
    - Add xapp-symbolic-icons to xapps-common deps
    - From build-deps remove libgirepository1.0-dev and
      add gir1.2-glib-2.0-dev (Closes: #1118934)
    - add ${gir:Provides} to -dev package
    - add Daniel Echeverri in Uploaders
  * d/libxapp1.install: fix the so filename that is based on software version
  * Update d/copyright

  [ Daniel Echeverri ]
  * d/rules: Remove trailing whitespace
  * d/copyright: Extend debian copyright holders years

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 01 Mar 2026 17:11:45 +0100

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Norbert Preining <norbert@preining.info>,
 Christoph Martin <martin@uni-mainz.de>,
 Daniel Echeverri <epsilon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gobject-introspection,
 gtk-doc-tools,
 intltool,
 libcairo2-dev,
 libdbus-1-dev,
 libdbusmenu-gtk3-dev,
 libgdk-pixbuf-2.0-dev,
 gir1.2-glib-2.0-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libx11-dev,
 libxkbfile-dev,
 meson,
 python-gi-dev,
 python3:any,
 valac,
Standards-Version: 4.7.3
Homepage: https://github.com/linuxmint/xapp
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 5.2), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libcairo2-dev,
 libglib2.0-dev,
 libgnomekbd-dev,
 libgtk-3-dev,
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Provides: ${gir:Provides}
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp-gtk3-module
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
Replaces:
 libxapp1 (<< 2.2.6-1~),
 xapp (<< 2.4.2-1~),
 xapps-common (<< 2.4.2-1~),
Description: GTK 3.0 module for the XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains a GTK 3.0 module to make features of the XApp library
 available to GTK 3.0 applications.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libxapp-gtk3-module (= ${binary:Version}),
 xapp-sn-watcher (= ${binary:Version}),
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Replaces: xapps-common (<< 2.0.6-2~)
Breaks: nemo (<< 5.2), xapps-common (<< 2.0.6-2~)

Package: mate-xapp-status-applet
Architecture: all
Multi-Arch: foreign
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0,
 gir1.2-matepanelapplet-4.0,
 gir1.2-xapp-1.0 (>= ${source:Version}),
 mate-panel,
 python3,
 python3-gi,
 python3-setproctitle,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks: xapps-common (<< 2.4.2-1~)
Replaces: xapps-common (<< 2.4.2-1~)
Description: XApp status icon applet for the MATE panel
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the MATE panel applet to display XAppStatusIcon
 indicators of several XApp apps.

Package: xapp-sn-watcher
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: mate-xapp-status-applet
Breaks: libxapp1 (<< 2.2.6-1~), xapp (<< 2.4.2-1~), xapps-common (<< 2.4.2-1~)
Replaces:
 libxapp1 (<< 2.2.6-1~),
 xapp (<< 2.4.2-1~),
 xapps-common (<< 2.4.2-1~),
Description: D-Bus session bus service to support the XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains xapp-sn-watcher.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 python3-gi,
 xapp-symbolic-icons,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends: inxi, netcat
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,3 @@
 	    -D docs=true \
 	    -D deprecated_warnings=false \
 	    -D debian_derivative=true
-

## xapp 3.2.2+gigi

=== debian/changelog ===
xapp (3.2.2+gigi) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:26:44 +0000

xapp (3.2.1) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:05:57 +0000

## xapp 3.2.2+zena

=== debian/changelog ===
xapp (3.2.2+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:26:44 +0000
